Subject: Re: [PATCH v6 0/6][Outreachy] commit: Implementation of "amend!" commit

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Mar 2021 17:52:59 -0700

Charvi Mendiratta <[email-masked]> writes:

> This patch series teaches `git commit --fixup` to create "amend!" commit
> as an alternative that works with `git rebase --autosquash`. It allows to
> fixup both the content and the commit message of the specified commit.
> Here we add two suboptions to the `--fixup`, first `amend` suboption that
> creates an "amend!" commit. It takes the staged changes and also allows to
> edit the commit message of the commit we are fixing.
> Example usuage:
> git commit --fixup=amend:<commit>
>
> Secondly, `reword` suboption that creates an empty "amend!" commit i.e it
> ignores the staged changes and only allows to reword/edit the commit message
> of the commit we are fixing. `--fixup=reword:<commit>` is a short-hand of
> `--fixup=amend:<commit> --only`.
> Example usuage:
> git commit --fixup=reword:<commit>
>
> ** This work is rebased on the top of cm/rebase-i-updates.

Are people happy with this round?  I gave an extra round of
eyeballing and didn't see anything suspicious, so I am planning to
merge it to 'next' soonish once the dust settles post release.

Thanks.